package com.henrypump.poc;

/**
 * Created by patrickjmcd on 2/10/17.
 */
public class FluidShot {
    private double fluidLevel;
    private double frictionEstimate;
    private double pumpIntakePressure;
    private double fluidGradient = 0.45; // Default value

    public double getFrictionEstimate(){
        return frictionEstimate;
    }

    public double getFluidLevel() {
        return fluidLevel;
    }

    public double getPumpIntakePressure() {
        return pumpIntakePressure;
    }

    FluidShot(double fluidLevel, double fluidGradient, double downholeLoadSpan, double totalDepth, double pumpArea){
        this.fluidLevel = fluidLevel;
        pumpIntakePressure = fluidLevel * fluidGradient;

        frictionEstimate = downholeLoadSpan - (fluidGradient * totalDepth - pumpIntakePressure) * pumpArea;


    }




}
